function newStage()
	pSlot = nil
	eSlot = nil
	
	local function removeAndReset()
		print("========resetting========")
		print("pSlot.kind:", pSlot.kind)
		print("eSlot.kind:", eSlot.kind)
		entities.player.hand[pSlot.kind] = {}
		entities.enemy.hand[eSlot.kind] = {}
		pSlot = nil
		eSlot = nil
	end
	
	local function run()
		if pSlot == nil or eSlot == nil then
			error("at least one slot is empty")
		end
		if pSlot.kind == eSlot.kind then
			print("skip?")
			table.insert(events, deal)
			removeAndReset()
			return 0
		end
		local damage = pSlot.power - eSlot.power
		print("damage:", damage)
		removeAndReset()
		print("damage:", damage)
		return damage
	end
	
	local function add(card, eID)
		print("adding to stage")
		if eID == "player" then
			if pSlot ~= nil then 
				error("slot already filled ".. eID) 
			end
			pSlot = card
		elseif eID == "enemy" then
			if eSlot ~= nil then 
				error("slot already filled " .. eID) 
			end
			eSlot = card
		end
		if pSlot ~= nil and eSlot ~= nil then
			print("slots:", pSlot.kind, eSlot.kind)
			print("insert run()")
			print("Events:", events)
			table.insert(events, run)
		end
	end
	
	local interface = {
		add = add,
		run = run,
	}
	return interface
end

--~ do
	--~ -- The stage slots
	--~ local pSlot = nil
	--~ local eSlot = nil
	--~ 
	--~ --- Adds a card to its respective slot
	--~ -- @param card:	the card to add
	--~ -- @param eID:	the entity the card is associated with
	--~ local function add(card, eID)
		--~ print("adding to stage")
		--~ if eID == "player" then
			--~ if pSlot ~= nil then 
				--~ error("slot already filled ".. eID) 
			--~ end
			--~ pSlot = card
		--~ elseif eID == "enemy" then
			--~ if eSlot ~= nil then 
				--~ error("slot already filled " .. eID) 
			--~ end
			--~ eSlot = card
		--~ end
		--~ print("slots:", pSlot, eSlot)
		--~ if pSlot ~= nil and eSlot ~= nil then
			--~ print("insert run()")
			--~ table.insert(events, run)
		--~ end
	--~ end
	--~ 
	--~ --- Determines the outcome of the stage				-- TODO
														--~ -- Add wildCard modifications
	--~ local function run()
		--~ if pSlot == nil or eSlot == nil then
			--~ error("at least one slot is empty")
		--~ end
		--~ if pSlot.kind == eSlot.kind then
			--~ print("skip?")
			--~ return skip		-- TODO
		--~ end
		--~ print("damage:", pSlot.power - eSlot.power)
		--~ return pSlot.power - eSlot.power
	--~ end
--~ 
	--~ -- The stage.lua namespace
	--~ local namespace = {
		--~ add = add,
		--~ run = run,
	--~ }
	--~ return namespace
--~ end
